.seo-title{position: absolute; top: -1000px; visibility: hidden;}


/* ! Blocks */
/* ----------------------------------------------------------------------------------- */

/* ! Cover */

.home .cover{background: #000; display: flex; flex-flow: column; justify-content: center; position: relative;}
.cover-bg{position: absolute; left: 0; top: 0; width: 100%; height: 100%;}
.cover-bg:after{content: ' '; position: absolute; left: 0; top: 0; width: 100%; height: 100%; background: linear-gradient(147deg,rgba(0, 0, 0, 1) 10%, rgba(0, 0, 0, 0.7) 66%, rgba(0, 0, 0, 0) 100%); background-size: cover;}

.cover .grid{padding-top: calc(var(--padding-big) * 1.5);}

.hero-reviews .review{max-width: 350px;}
.hero-reviews .review-name{align-items: center;}

@media (min-width: 1301px) {
  .cover{min-height: 100vh;}

}

.cover-content{min-height: 60vh; width: 100%; position: relative; display: flex; flex-flow: column; justify-content: center;}
.hero-cta{gap: var(--gap-3);}
.hero-cta *{align-self: center;}

.hero-reviews{display: none;}

.cover .grid > [class*="col-"] > .grid{padding: 0; flex-wrap: nowrap;}
.first-col{flex-basis: 90%;}
.cover .points p{white-space: nowrap;}
.cover .point{padding-left: var(--padding); border-left: var(--border) solid var(--green);}


@media (max-width: 1300px) {
  .cover .grid{padding-top: calc(var(--padding-big) * 3); padding-bottom: var(--padding-medium);}
}

@media (max-width: 781px) {
  .cover .grid{gap: var(--padding);}
  .cover-content{min-height: auto;}
  .hero-cta{flex-wrap: wrap; gap: var(--gap-1);}
  [class*="col-"]:has(.points){display: none;}
}


.whatsapp{position: fixed; bottom: 4%; right: 3%; z-index: 9999; transition: all 0.3s cubic-bezier(.215, .61, .355, 1);}
.whatsapp:hover{transform: scale(1.1);}


.grid .wp-block-group__inner-container{width: 100%;}



/* ! Services */

.services .wp-block-columns{padding: var(--padding-big) var(--padding-big) 0 var(--padding-big);}

.service{padding: var(--border-images) var(--border-images) var(--gap-3) var(--border-images); background-color: var(--dark-grey);}
.service img{min-height: 220px; object-fit: cover;}
.service-text > div{display: flex; flex-flow: column; justify-content: center; align-items: center; gap: var(--gap-05); padding: 0 var(--padding); text-align: center;}
.service-text > div .wp-block-buttons{padding-top: var(--gap-2); flex-grow: 2;}
.service-text, .service-text > div{height: 100%;}
.service-text > div .wp-block-button{align-self: flex-end;}
.services .wp-block-column{display: flex; flex-flow: column; gap: var(--gap-2);}

@media (max-width: 1200px) {
  .service img{min-height: 170px;}
}

@media (max-width: 781px) {
  .services .wp-block-column{align-items: center;}
}

@media (max-width: 450px) {
  .services .wp-block-columns{padding: var(--padding-big) 0 0 0;}
}



/* ! About us media text */

.wp-block-columns{margin-bottom: 0;}

.about-us .wp-block-columns{gap: 0;}
.about-us .wp-block-column{display: flex; align-self: center;}

.about-us{position: relative;}
.about-us:before{position: absolute; content: ''; background: var(--white); top: 0; left: 0; width: 70%; height: 100%; z-index: -1;}
.about-us h2, .about-us h3, .about-us p{color: var(--black);}

@media (max-width: 781px) {
  .about-us:before{width: 100%; height: 85%;}
}

.about-us .wp-block-column:nth-child(1){padding: var(--padding-big) 0;}
.about-us .wp-block-column:nth-child(2) .wp-block-group__inner-container{display: flex; justify-content: center; align-items: center;}

@media (min-width: 782px) {
  .about-us figure{width: 90%;}
}

.about-us-content > div{display: flex; justify-content: center; flex-flow: column; gap: var(--gap-2); width: 100%;}



/* ! Focuses */

.focuses .wp-block-columns{padding: var(--padding-big) var(--padding-big) 0 var(--padding-big);}

.focus-text > div{display: flex; flex-flow: column; gap: var(--gap-1); justify-content: space-between;}
.focus-text, .focus-text > div{height: 100%;}

.focus{position: relative;}
.focus figure{position: absolute; top: -10%; left: 5%; z-index: -1; width: var(--icons-giant);}
.focus:nth-child(1) figure{top: -8%; left: 5.5%;}

.focus-text h4{padding-left: calc(var(--padding-big) * 1.4);}

@media (max-width: 781px) {
  .focuses .wp-block-columns{gap: calc(var(--padding-medium) * 2); padding: calc(var(--padding-big) * 1.5) var(--padding-big) 0 var(--padding-big);}
  .focus{text-align: center;}
  .focus figure, .focus:nth-child(1) figure{left: 50%; top: 0; transform: translateX(-200%) translateY(calc(var(--padding) * -1.5));}
  .focus-text h4{padding-left: var(--padding-big);}
}

@media (max-width: 380px) {
  .focuses .wp-block-columns{padding: calc(var(--padding-big) * 1.5) 0 0 0;}
  .focus figure, .focus:nth-child(1) figure{left: 0; top: 0; transform: translateX(0) translateY(calc(var(--padding) * -1.5));}
  .focus-text h4{padding-left: calc(var(--padding-big) * 1.5);}
  .focus{text-align: left;}
}



/* ! Titles text */

.titles-text > div{display: flex; justify-content: center; flex-flow: column; align-items: center; gap: var(--gap-2); text-align: center;}
.v-titles-text > div{display: flex; flex-flow: column; gap: var(--gap-2);}


:where(.wp-block-columns.is-layout-flex) {
    gap: var(--padding-big);
}



/* ! List */

.checks > div{display: flex; flex-wrap: wrap; gap: var(--gap-2);}
.checks p{position: relative; padding-left: var(--gap-2);}
.checks p:before{content: ' '; position: absolute; left: 0; top: 0.7rem; transform: translateY(-50%); width: calc(var(--icons)); aspect-ratio: 1 / 1; background: url(../icons/checkmark.svg); background-size: contain; background-repeat: no-repeat; background-position: center center;}



/* ! Media text */

.wp-block-columns{margin-bottom: 0;}

.mediatext-content{width: 100%;}

.mediatext-content > div{display: flex; justify-content: center; flex-flow: column; gap: var(--gap-2);}

.mediatext .grid > div > .wp-block-columns > .wp-block-column{display: flex; align-self: center;}


@media (max-width: 781px) {
  .mediatext2 div.wp-block-columns{flex-flow: column-reverse;}
  .mediatext div.wp-block-columns{gap: var(--padding-big);}
}



/* ! Reviews */
.reviews .wp-block-columns{padding-top: var(--padding-big);}

.reviews .wp-block-column{background: var(--grey); padding: var(--padding-medium) var(--padding);}
.review-text > div{display: flex; flex-flow: column; gap: var(--gap-1); justify-content: space-between;}
.review-text, .review-text > div{height: 100%;}
.review-text > div > p{flex-grow: 2;}
.review-name img{height: var(--icons-medium); width: var(--icons-medium);}
.review-letter{aspect-ratio: 1/1; min-height: 40px; border-radius: 100%;}
.review-letter > div{display: flex; justify-content: center; align-items: center; height: 100%;}



/* ! Box */

.box-content > div{display: flex; justify-content: center; align-items: center; flex-flow: column; gap: var(--gap-2); padding: var(--padding-big) var(--padding-medium);}
.box-white > div{background-color: var(--white);}



/* ! Intro */
.intro{position: relative;}
.intro-bg{position: absolute; width: 100%; object-fit: cover;}
.intro-bg:after{content: ' '; position: absolute; left: 0; top: 0; width: 100%; height: 100%; background: linear-gradient(141deg,rgba(0, 0, 0, 0.7) 50%, rgba(4, 254, 0, 0.65) 100%); background-size: cover;}

.intro-content{padding: calc(var(--padding-big) * 1.5) 0;}



/* ! --------------------- Showroom --------------------*/

/* ! Column text */

.column-text .grid > div{justify-content: center;}



/* ! Why us */

.why-us .wp-block-column{display: flex; flex-flow: column; gap: var(--gap-2);}
.why-us-features .wp-block-column{background: var(--grey);}
.why-us-features :where(.wp-block-columns.is-layout-flex){column-gap: var(--gap-2); row-gap: var(--gap-2);}
.why-us-features .wp-block-columns:not(:last-child){padding-bottom: var(--gap-2);}
.why-us-features .wp-block-column{position: relative; padding: var(--padding-medium); display: flex; flex-flow: column; justify-content: space-around;}
.why-us-features .wp-block-column img{position: absolute; left: var(--padding-medium); top: calc(var(--padding-medium) * -1.1); transform: translateY(50%); height: var(--icons-big);}

@media (max-width: 1100px) {
  .why-us-features .wp-block-column img{top: calc(var(--padding-medium) * -1.5);}
}

@media (max-width: 781px) {
  .why-us-features :where(.wp-block-columns.is-layout-flex){column-gap: var(--padding); row-gap: var(--padding-big);}
  .why-us-features .wp-block-column{padding: var(--padding-medium) var(--padding);}
}



/* ! Accordion */

.accordion{padding-top: var(--padding-big);}
.wp-block-accordion-item:not(:last-child){border-bottom: 1px solid var(--white);}
.wp-block-accordion-item{padding: var(--padding) 0;}



/* ! Explain */

.why-us.explain .wp-block-columns{gap: var(--gap-2);}



/* ! Cards */

.cards .wp-block-columns{gap: 0!important;}

.card{color: var(--white); min-height: 230px; position: relative; display: flex; flex-flow: column; justify-content: flex-end; padding: calc(var(--padding-medium) * 3.5) var(--padding-medium) var(--padding-medium) var(--padding-medium);}
.cards .wp-block-column:has(.cards-content){display: flex; flex-flow: column; justify-content: center;}
.card figure{position: absolute; z-index: -2; top: 0; left: 0; height: 100%; width: 100%;}
.card img{height: 100%; width: 100%; object-fit: cover;}
.card:before{content: ''; position: absolute; z-index: -1; top: 0; left: 0; width: 100%; height: 100%; background: linear-gradient(0deg, rgba(0, 0, 0, 0.9) 30%, rgba(4, 254, 0, 0.25) 100%);}
.card > div > div{display: flex; flex-flow: column; gap: var(--gap-2);}

.cards-content > div{display: flex; flex-flow: column; padding: var(--padding-medium) var(--padding-medium) var(--padding-medium) 0; gap: var(--gap-2);}
.card a{position: relative; transition: all 1s cubic-bezier(.215, .61, .355, 1); color: var(--white);}
.card a:after{content: ' '; position: absolute; height: var(--mini-icons); width: var(--mini-icons); top: calc(50% + 2px); right: -20px; transition: all 1s cubic-bezier(.215, .61, .355, 1); transform: translateY(-50%); background-image: url('../icons/chevron-down-thick.svg'); background-size: contain; background-repeat: no-repeat; background-position: center center;}
.card a:hover:after{transform: translateY(-50%) translateX(var(--gap-1));}

@media (max-width: 1200px) {
  .card{padding: calc(var(--padding-medium) * 2) var(--padding-medium) var(--padding-medium) var(--padding-medium);}
}

@media (max-width: 781px) {
  .cards .grid > div{display: flex; flex-flow: column-reverse;}
  .card{min-height: 330px;}
  .cards-content > div{padding: 0; margin-bottom: var(--padding-big);}
}

@media (max-width: 500px) {
  .card{min-height: 230px;}
}



/* ! Map */

.map .wp-block-column{display: flex; align-self: center;}
.map-text > div{display: flex; flex-flow: column; gap: var(--gap-2);}
.map-text img{max-height: var(--logo-height); width: auto;}
.map-text p:nth-child(3){padding-right: var(--padding);}
.map-text p:nth-child(3) a{position: relative;}
.map-text p:nth-child(3) a:after{position: absolute; content: ' '; height: var(--icons); width: var(--icons); background: url(../icons/open.svg) no-repeat center center; background-size: 100%; bottom: 5%; left: 105%;}

@media (max-width: 1051px) {
  .map-text p:nth-child(3) a:after{left: 115%;}
}
@media (max-width: 781px) {
  .map-text p:nth-child(3) a:after{left: 105%;}
}

.map-container figure{position: relative;}
.map-container figure:before{content: ' '; height: var(--icons-big); width: var(--icons-big); position: absolute; background: url(../icons/location.svg) no-repeat center center; background-size: 100%; top: 50%; left: 50%; transform: translateX(-50%) translateY(-95%);}



/* ! Contacts and openings */

.why-us.contacts a{color: var(--white);}
.why-us.contacts a:hover{color: var(--green);}
.why-us.contacts .wp-block-columns .wp-block-columns .wp-block-column,
.why-us.openings .wp-block-columns .wp-block-columns .wp-block-column{gap: var(--gap-1); align-items: center; text-align: center;}
.why-us.openings .wp-block-columns .wp-block-columns .wp-block-column .wp-block-group{flex-wrap: wrap; justify-content: center;}
@media (max-width: 1100px) {
  .why-us.contacts img{top: calc(var(--padding-medium) * -1.5);}
}



/* ! Form */

.pb-medium{padding-bottom: var(--padding-medium);}


div.wpforms-container.wpforms-container-full{margin: 0 auto!important;}
.wpforms-field-container{display: flex; flex-flow: column; gap: var(--gap-1);}

div.wpforms-field.wpforms-field-name .wpforms-field-large .wpforms-field-name-first.wpforms-field-required, div.wpforms-field.wpforms-field-name .wpforms-field-large .wpforms-field-name-last.wpforms-field-required, div.wpforms-field.wpforms-field-email .wpforms-field-large.wpforms-field-required, div.wpforms-field-container .wpforms-field.wpforms-field-text .wpforms-field-large, div.wpforms-field-container .wpforms-field.wpforms-field-textarea .wpforms-field-medium{background: var(--grey); border-radius: 0!important; border: none!important;}
.wpforms-field.wpforms-field-textarea .wpforms-field-medium.wpforms-field-required{resize: none;}

::placeholder{font-size: var(--font-p); color: var(--white)!important;}
.wpforms-field-label-inline{color: var(--white)!important;}

label.wpforms-required-label, em.wpforms-error{color: #d63636!important;}
/* div.wpforms-container-full .wpforms-form label.wpforms-error::before, div.wpforms-container-full .wpforms-form em.wpforms-error::before{background-color: var(--dark-purple);} */

input.wpforms-error, textarea.wpforms-error{color: var(--white)!important;}
input:focus, textarea:focus{box-shadow: 0 0 0 1px var(--white)!important;}
div.wpforms-container-full .wpforms-form .wpforms-field input.wpforms-error:hover, div.wpforms-container-full .wpforms-form .wpforms-field input.user-invalid:hover, div.wpforms-container-full .wpforms-form .wpforms-field textarea.wpforms-error:hover, div.wpforms-container-full .wpforms-form .wpforms-field textarea.user-invalid:hover, div.wpforms-container-full .wpforms-form .wpforms-field select.wpforms-error:hover, div.wpforms-container-full .wpforms-form .wpforms-field select.user-invalid:hover{box-shadow: none;}
div.wpforms-container-full .wpforms-form .wpforms-field input.wpforms-error:focus, div.wpforms-container-full .wpforms-form .wpforms-field input.user-invalid:focus, div.wpforms-container-full .wpforms-form .wpforms-field textarea.wpforms-error:focus, div.wpforms-container-full .wpforms-form .wpforms-field textarea.user-invalid:focus, div.wpforms-container-full .wpforms-form .wpforms-field select.wpforms-error:focus, div.wpforms-container-full .wpforms-form .wpforms-field select.user-invalid:focus{box-shadow: 0 0 0 1px #d63636!important;}

div.wpforms-container-full input[type="checkbox"]:checked::after, div.wpforms-container-full input[type="checkbox"]:checked::before{border-color: var(--green)!important; box-shadow: none!important;}
.wpforms-container span.wpforms-required-label{color: var(--green);}
.wpforms-container .wpforms-field-container .wpforms-field.wpforms-field-gdpr-checkbox{padding: var(--padding) 0;}
.wpforms-container-full .wpforms-form .wpforms-field-required .wpforms-field-label-inline{font-size: var(--font-p);}

.wpforms-container.wpforms-container-full .wpforms-validate.wpforms-form.wpforms-ajax-form .wpforms-submit-container .wpforms-submit{font-family: 'Montserrat', sans-serif; font-size: var(--font-p); text-transform: uppercase; font-weight: var(--font-semibold); background: var(--green); color: var(--black); padding: var(--padding-y-buttons) var(--padding-x-buttons)!important; border-radius: 0; border: none; transition: all 0.3s cubic-bezier(.215, .61, .355, 1); height: auto!important; line-height: inherit!important; box-shadow: none;}
.wpforms-container.wpforms-container-full .wpforms-validate.wpforms-form.wpforms-ajax-form .wpforms-submit-container .wpforms-submit:hover{background: var(--white)!important; color: var(--green-4);}

div.wpforms-container-full .wpforms-confirmation-container-full, div[submit-success] > .wpforms-confirmation-container-full:not(.wpforms-redirection-message){background: var(--green)!important; border: none!important; margin: 0!important;}
div.wpforms-container-full .wpforms-confirmation-container-full p, div[submit-success] > .wpforms-confirmation-container-full:not(.wpforms-redirection-message) p{color: var(--black)!important; font-size: var(--font-p); margin: 0 auto!important; text-align: center;}
div.wpforms-container-full .wpforms-confirmation-container-full, div[submit-success] > .wpforms-confirmation-container-full{padding: var(--padding-y-buttons) var(--padding-x-buttons)!important; overflow-wrap: break-word;}

div.wpforms-container-full input[type=date], div.wpforms-container-full input[type=datetime], div.wpforms-container-full input[type=datetime-local], div.wpforms-container-full input[type=email], div.wpforms-container-full input[type=month], div.wpforms-container-full input[type=number], div.wpforms-container-full input[type=password], div.wpforms-container-full input[type=range], div.wpforms-container-full input[type=search], div.wpforms-container-full input[type=tel], div.wpforms-container-full input[type=text], div.wpforms-container-full input[type=time], div.wpforms-container-full input[type=url], div.wpforms-container-full input[type=week], div.wpforms-container-full select, div.wpforms-container-full textarea, .wp-core-ui div.wpforms-container-full input[type=date], .wp-core-ui div.wpforms-container-full input[type=datetime], .wp-core-ui div.wpforms-container-full input[type=datetime-local], .wp-core-ui div.wpforms-container-full input[type=email], .wp-core-ui div.wpforms-container-full input[type=month], .wp-core-ui div.wpforms-container-full input[type=number], .wp-core-ui div.wpforms-container-full input[type=password], .wp-core-ui div.wpforms-container-full input[type=range], .wp-core-ui div.wpforms-container-full input[type=search], .wp-core-ui div.wpforms-container-full input[type=tel], .wp-core-ui div.wpforms-container-full input[type=text], .wp-core-ui div.wpforms-container-full input[type=time], .wp-core-ui div.wpforms-container-full input[type=url], .wp-core-ui div.wpforms-container-full input[type=week], .wp-core-ui div.wpforms-container-full select, .wp-core-ui div.wpforms-container-full textarea{font-size: var(--font-p);}



/* ! --------------------- 404 --------------------*/

.error404 .intro404{padding: calc(var(--padding-big) * 1.3) 0;}



/* ! Privacy policy page */
/* ----------------------------------------------------- */

.privacy-policy-page .intro-pp{padding: calc(var(--padding-big) * 1.3) 0;}
.privacy-policy-page ul{display: flex; flex-flow: column; gap: var(--gap-2); padding-left: var(--gap-2); color: var(--white);}
.privacy-policy-page h4{color: var(--white);}
.privacy-policy-page a{text-decoration: underline;}



/* ! Animations */
/* ----------------------------------------------------- */

.fade-up{opacity: 0; transform: translateY(5rem); transition: all 1s cubic-bezier(.215, .61, .355, 1);}
.fade-up.in-page{opacity: 1; transform: translateY(0);}
.fade-down{opacity: 0; transform: translateY(-5rem); transition: all 1s cubic-bezier(.215, .61, .355, 1);}
.fade-down.in-page{opacity: 1; transform: translateY(0);}
.scale{opacity: 0; transform: scale(0.6); transition: all 2s cubic-bezier(.215, .61, .355, 1);}
.scale.in-page{opacity: 1; transform: scale(1);}

@media (min-width: 782px) {
  .delay-03{transition-delay: 0.3s;}
  .delay-06{transition-delay: 0.6s;}
  .delay-09{transition-delay: 0.9s;}
}